Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000877Taste[All Projects] TASTE-IV/DVpublic2019-09-27 13:582019-10-04 13:47
Reporterellidiss 
Assigned Toellidiss 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000877:

TSP support

Description

The TSP features shall be backported from the ERGO version of the taste IV/DV editors.

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003654)
ellidiss (developer)
2019-09-27 14:17
edited on: 2019-09-27 14:18

The following rule in the current version :

  • variable semanticRule21 "A sporadic operation can not have more than one parameter."
  • variable semanticRule22 "A sporadic operation can not have out parameter."

has been replaced, in the ERGO version, by :

  • variable semanticRule21 "A sporadic operation can not have more than two parameters (one IN and one OUT)."
  • variable semanticRule22 "A sporadic operation can not have more than one out parameter."
  • variable semanticRule23 "A sporadic operation can not have more than one in parameter."

For now they are not activated.

(0003656)
maxime (administrator)
2019-09-29 18:52

Sporadic with an out parameter? How?

(0003657)
ellidiss (developer)
2019-09-30 08:24

These changes are related to ticket 259, which was also a request from the ERGO project team.
They just came with the merge of the TASTE ERGO branch with the trunk. The code is there but not active.

(0003661)
ellidiss (developer)
2019-10-04 13:30

the fix will be available in the 2.3 version


- Issue History
Date Modified Username Field Change
2019-09-27 13:58 ellidiss New Issue
2019-09-27 13:58 ellidiss Status

new => assigned

2019-09-27 13:58 ellidiss Assigned To

=> ellidiss

2019-09-27 14:17 ellidiss Note Added: 0003654
2019-09-27 14:17 ellidiss Note Edited: 0003654 View Revisions
2019-09-27 14:18 ellidiss Note Edited: 0003654 View Revisions
2019-09-29 18:52 maxime Note Added: 0003656
2019-09-30 08:24 ellidiss Note Added: 0003657
2019-10-04 13:30 ellidiss Note Added: 0003661
2019-10-04 13:47 ellidiss Status

assigned => resolved

2019-10-04 13:47 ellidiss Resolution

open => fixed



Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker